Package io.flutter.view

# Enum AccessibilityBridge.Action

java.lang.Object
java.lang.Enum<AccessibilityBridge.Action>
io.flutter.view.AccessibilityBridge.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<AccessibilityBridge.Action>`, `java.lang.constant.Constable`

Enclosing class:
  `AccessibilityBridge`

public static enum AccessibilityBridge.Action extends Enum<AccessibilityBridge.Action>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLLAPSE`
  `COPY`
  `CUSTOM_ACTION`
  `CUT`
  `DECREASE`
  `DID_GAIN_ACCESSIBILITY_FOCUS`
  `DID_LOSE_ACCESSIBILITY_FOCUS`
  `DISMISS`
  `EXPAND`
  `FOCUS`
  `INCREASE`
  `LONG_PRESS`
  `MOVE_CURSOR_BACKWARD_BY_CHARACTER`
  `MOVE_CURSOR_BACKWARD_BY_WORD`
  `MOVE_CURSOR_FORWARD_BY_CHARACTER`
  `MOVE_CURSOR_FORWARD_BY_WORD`
  `PASTE`
  `SCROLL_DOWN`
  `SCROLL_LEFT`
  `SCROLL_RIGHT`
  `SCROLL_TO_OFFSET`
  `SCROLL_UP`
  `SET_SELECTION`
  `SET_TEXT`
  `SHOW_ON_SCREEN`
  `TAP`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `value`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AccessibilityBridge.Action`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AccessibilityBridge.Action[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TAP

    public static final AccessibilityBridge.Action TAP

  - ### LONG_PRESS

    public static final AccessibilityBridge.Action LONG_PRESS

  - ### SCROLL_LEFT

    public static final AccessibilityBridge.Action SCROLL_LEFT

  - ### SCROLL_RIGHT

    public static final AccessibilityBridge.Action SCROLL_RIGHT

  - ### SCROLL_UP

    public static final AccessibilityBridge.Action SCROLL_UP

  - ### SCROLL_DOWN

    public static final AccessibilityBridge.Action SCROLL_DOWN

  - ### INCREASE

    public static final AccessibilityBridge.Action INCREASE

  - ### DECREASE

    public static final AccessibilityBridge.Action DECREASE

  - ### SHOW_ON_SCREEN

    public static final AccessibilityBridge.Action SHOW_ON_SCREEN

  - ### MOVE_CURSOR_FORWARD_BY_CHARACTER

    public static final AccessibilityBridge.Action MOVE_CURSOR_FORWARD_BY_CHARACTER

  - ### MOVE_CURSOR_BACKWARD_BY_CHARACTER

    public static final AccessibilityBridge.Action MOVE_CURSOR_BACKWARD_BY_CHARACTER

  - ### SET_SELECTION

    public static final AccessibilityBridge.Action SET_SELECTION

  - ### COPY

    public static final AccessibilityBridge.Action COPY

  - ### CUT

    public static final AccessibilityBridge.Action CUT

  - ### PASTE

    public static final AccessibilityBridge.Action PASTE

  - ### DID_GAIN_ACCESSIBILITY_FOCUS

    public static final AccessibilityBridge.Action DID_GAIN_ACCESSIBILITY_FOCUS

  - ### DID_LOSE_ACCESSIBILITY_FOCUS

    public static final AccessibilityBridge.Action DID_LOSE_ACCESSIBILITY_FOCUS

  - ### CUSTOM_ACTION

    public static final AccessibilityBridge.Action CUSTOM_ACTION

  - ### DISMISS

    public static final AccessibilityBridge.Action DISMISS

  - ### MOVE_CURSOR_FORWARD_BY_WORD

    public static final AccessibilityBridge.Action MOVE_CURSOR_FORWARD_BY_WORD

  - ### MOVE_CURSOR_BACKWARD_BY_WORD

    public static final AccessibilityBridge.Action MOVE_CURSOR_BACKWARD_BY_WORD

  - ### SET_TEXT

    public static final AccessibilityBridge.Action SET_TEXT

  - ### FOCUS

    public static final AccessibilityBridge.Action FOCUS

  - ### SCROLL_TO_OFFSET

    public static final AccessibilityBridge.Action SCROLL_TO_OFFSET

  - ### EXPAND

    public static final AccessibilityBridge.Action EXPAND

  - ### COLLAPSE

    public static final AccessibilityBridge.Action COLLAPSE

- ## Field Details

  - ### value

    public final int value

- ## Method Details

  - ### values

    public static AccessibilityBridge.Action[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AccessibilityBridge.Action valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null